summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-06-10 22:26:55 +0200
committerMichał Górny <mgorny@gentoo.org>2021-06-11 01:13:10 +0200
commit9e09e0562d3c93693c2e46fbb5cb6f028b8bdd05 (patch)
treeef43cef2dbcfe9ef2ac37fc3b0f688f3344df70e
parentdev-python/botocore: Bump to 1.20.92 (diff)
downloadgentoo-9e09e0562d3c93693c2e46fbb5cb6f028b8bdd05.tar.gz
gentoo-9e09e0562d3c93693c2e46fbb5cb6f028b8bdd05.tar.bz2
gentoo-9e09e0562d3c93693c2e46fbb5cb6f028b8bdd05.zip
dev-python/boto3: Bump to 1.17.92
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.92.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 768763ed75b..59d4f698782 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -13,3 +13,4 @@ DIST boto3-1.17.88.tar.gz 379248 BLAKE2B 1aa238efaf5a22594b90903e1090f4f66a04eff
DIST boto3-1.17.89.tar.gz 379572 BLAKE2B 8a067aa757974cc3399de29173a6fcf99d35196c64978bd0cdb4e85f6e50558c9584722fab3402f3b3a2f951b3cd801aada17ce70bceab4f215f1b91dffd6372 SHA512 6bae209eda16ee07b142fe56740a5e177378b88e66b0e5c6aac99748c59b34f28f0c78d863d5a76b9efeda6413c4e6aab94d3c9ee87fbc5ae7d9c8bf02b5fb3f
DIST boto3-1.17.90.tar.gz 379938 BLAKE2B 72392968678576505a4c80f62ca0b3f7cf086a7c739a918b6d39d7c8b05a2a1b9648d7028126bb6c2893da44bc9bd5367089beb12a187d48c09712f2b6d7a95a SHA512 75f2d02c1256a2a60a4f87d774d5a339e556180482419c21774ec41a5980fd0149e7d66f52cb408035b394550bbbdcb2710de1fd6f948cccd91064e5d94f20ca
DIST boto3-1.17.91.tar.gz 380247 BLAKE2B 8017241fce7337ed88f8da35ad914081d7b4a83c7ad78c6b1aea1408909f438c4b86c64501b5aa5c8522476bb9962ed94089b51ed89794062e7d937dbe0063b5 SHA512 d8a083911cfb930e7a7b1fe587fd33f7cf9a523683685e4929b63a8dde8502178d44091c6b8885a40052f03e7b8fd6a48e332ff5cff3a12fa7290d922eff9fe0
+DIST boto3-1.17.92.tar.gz 381619 BLAKE2B ea7f1d7fbc1481d22f5e5bce9d051e9d825de215fd9efc9396c9d11723eac70e422b68d9f72a429ddd0bfe9976ad0e6e3c7e7bff74af388996c3e48ac6f383fc SHA512 a96d57eb19e794b4b7a1d4b1ee142f601ca5a10ba7c20500dd3e570131904874fe470cb1ef7146f7eb4ba189a91f9b42dd58acb0c8d54216352c03ae173f8092
diff --git a/dev-python/boto3/boto3-1.17.92.ebuild b/dev-python/boto3/boto3-1.17.92.ebuild
new file mode 100644
index 00000000000..666cbfa63e3
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.92.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}